Bug 1409252 - Application icon for Nextcloud client is missing
Summary: Application icon for Nextcloud client is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 25
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Timotheus Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-30 18:36 UTC by Max John
Modified: 2017-06-03 23:05 UTC (History)
5 users (show)

Fixed In Version: nextcloud-client-2.2.4-7.fc25 nextcloud-client-2.2.4-8.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-27 02:18:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Max John 2016-12-30 18:36:43 UTC
Description of problem:
Application icon for Nextcloud client is missing

Version-Release number of selected component (if applicable):
2.2.4-4.fc25

Additional info:
This happens because the icon itself is named Nextcloud.png (uppercase N) but the 'Icon' entries in the nextcloud.desktop file are named nextcloud (lowercase N).
Changing all 'Icon' entries in nextcloud.desktop to Nextcloud (uppercase N) fixes the problem.

Comment 1 Timotheus Pokorra 2017-01-02 09:27:50 UTC
I had a look. I can confirm this is an issue.

I think this is how this bug happens:

in https://github.com/owncloud/client/blob/master/mirall.desktop.in, there is this line: Icon=@APPLICATION_EXECUTABLE@

and in https://github.com/nextcloud/client_theming/blob/master/nextcloudtheme/OEM.cmake#L2 there is:
set( APPLICATION_EXECUTABLE "nextcloud" )

So this is where the lowercase nextcloud comes from.

Comment 2 Fedora Update System 2017-01-02 16:06:31 UTC
nextcloud-client-2.2.4-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1899e990c1

Comment 3 Fedora Update System 2017-01-02 16:08:11 UTC
nextcloud-client-2.2.4-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e60fc08feb

Comment 4 Fedora Update System 2017-01-02 16:08:52 UTC
nextcloud-client-2.2.4-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-15bb6daa3c

Comment 5 Fedora Update System 2017-01-02 20:18:08 UTC
nextcloud-client-2.2.4-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1899e990c1

Comment 6 Fedora Update System 2017-01-02 20:48:36 UTC
nextcloud-client-2.2.4-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-15bb6daa3c

Comment 7 Fedora Update System 2017-01-03 02:17:52 UTC
nextcloud-client-2.2.4-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e60fc08feb

Comment 8 Fedora Update System 2017-01-05 02:20:28 UTC
nextcloud-client-2.2.4-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-01-10 14:48:12 UTC
nextcloud-client-2.2.4-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-11 08:12:30 UTC
nextcloud-client-2.2.4-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-00ae8ef5fa

Comment 11 Fedora Update System 2017-01-12 08:49:02 UTC
nextcloud-client-2.2.4-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-00ae8ef5fa

Comment 12 Fedora Update System 2017-01-27 02:18:10 UTC
nextcloud-client-2.2.4-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Germano Massullo 2017-06-03 13:41:54 UTC
Could you please open an upstream bugreport so that we can rid of the patch in next releases?
Thank you

Comment 14 Germano Massullo 2017-06-03 23:05:53 UTC
(In reply to Germano Massullo from comment #13)
> Could you please open an upstream bugreport so that we can rid of the patch
> in next releases?
> Thank you

Ah I just noticed that the patch affects two different GIthub repositories, so it is not trivial to do such thing


Note You need to log in before you can comment on or make changes to this bug.